<?php
    
    global $tpl;  

    $Wartosc = db::$i->row("SELECT * FROM `wartosci` WHERE `id`='".( core::$i->id )."'");

    switch( core::$i->method )
    {
        case 'save':

            if( $Wartosc )
            {
                $NowaWaga = intval( $_REQUEST['waga'] );
    
                if( $NowaWaga AND $NowaWaga < 11 )
                {
                    db::$i->q("UPDATE `wartosci` SET `waga`='".( $NowaWaga )."' WHERE `kryterium_id`='{$Wartosc['kryterium_id']}' AND `proces_id`='{$Wartosc['proces_id']}'");
                }
    
                js::$i->setJSON(array(  
                    'refresh' => true,
                    'status' => true,
                    'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
                ));
            } 
            else 
            {
                js::$i->setJSON(array(
                    'error' => 'Podaj poprawną wartość'
                ));
            }


        break;
        
        default:

            $tpl->assign(array(
                'Wartosc' => $Wartosc,
                'id' => core::$i->id
            ));
            
            js::$i->setJSON(array(   
                'status' => true,
                'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
            ));
        break;
    }

?>